Bug 4482 - /dev/printer is a socket, not a device
/dev/printer is a socket, not a device
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-11 18:15 EDT by Matthew Galgoci
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-12 11:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Galgoci 1999-08-11 18:15:04 EDT
Included in the dev rpm is /dev/printer, which shouldn't.
This is a unix socket that is normally created each time
that lpd is started so that the userland lp utils can
communicate with the lpd daemon.

The presence of the socket in the package seems to be
confusing a lot of folks who assume that the disappearance
of /dev/printer is a direct cause of print failure when
it is in fact a side effect.

Please remove /dev/printer from the dev rpm package. :)
Comment 1 Bill Nottingham 1999-08-12 11:01:59 EDT
fixed in dev-2.7.8.1-1.

Note You need to log in before you can comment on or make changes to this bug.